|
EspressReport 6.3 | ||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||
public interface Param
This interface represents a parameter used in a template, it can be used to retrieve information about the parameter such as name, prompt name, as well as set or get its current values.
Parameters| Field Summary | |
|---|---|
static java.lang.String |
ROOT_REPORT
This is the parent() value of a Param who belongs to the root report (non sub report). |
| Method Summary | |
|---|---|
java.lang.String |
getColumnName()
If (isMapToColumn() == true) Returns the column name |
java.lang.String |
getDateFormat()
The custom date format. |
java.lang.Object |
getDefaultValue()
Returns the default value. |
quadbase.common.formula.Formula |
getDefaultValueVariable()
Returns default value of a date parameter as a date expression (ex. |
java.lang.String |
getPromptName()
Returns the description of the parameter displayed on the pop up dialog. |
quadbase.common.util.IQueryFileInfo |
getQueryFileInfo()
internal use only |
quadbase.reportdesigner.report.Report |
getReport()
internal use only |
java.util.Vector |
getSelectionChoices()
Gets a Vector of objects of the corresponding SQL type that are unique values of this parameter retrieved from the database. |
java.lang.String |
getSqlSelect()
|
int |
getSqlType()
Returns java.sql.Types |
java.lang.String |
getTableName()
If (isMapToColumn() == true) Returns the table name |
java.lang.Object |
getValue()
Returns the current value of the paremeter as the appropriate java object. |
java.util.Vector |
getValues()
If (this.multiValue() == true), returns the current values of the parameter as a Vector of the appropriate java objects, else returns null. |
quadbase.common.formula.Formula |
getValueVariable()
Returns value of a date parameter as a date expression (ex. |
boolean |
isCustomDateFormat()
Whether this parameter is a date and its value provided by the user with setValue() is a custom date format. |
boolean |
isFormulaParam()
Whether this is a formula parameter (not query parameter) |
boolean |
isMapToColumn()
When using the parameter dialog or the ParameterPageWriter this attributes is used to control whether a selection list or a input text box is used. |
boolean |
multiValue()
Whether this parameter can take multiple values. |
java.lang.String |
name()
The name of this parameter |
java.lang.String |
parent()
The name of the template that contains this parameter. |
void |
setColumnName(java.lang.String columnName)
If (isMapToColumn() == true) Set the column name |
void |
setDefaultValue(java.lang.Object defaultValue)
Set default value |
void |
setDefaultValueVariable(quadbase.common.formula.Formula f)
Set default value of a date parameter to a date expression (ex. |
void |
setMapToColumn(boolean mapToColumn)
Enables or disables mapToColumn. |
void |
setPromptName(java.lang.String promptName)
Set the description of the parameter displayed on the pop up dialog. |
void |
setQueryFileInfo(quadbase.common.util.IQueryFileInfo qf)
internal use only |
void |
setReport(quadbase.reportdesigner.report.Report r)
internal use only |
void |
setSqlSelect(java.lang.String s)
|
void |
setSqlType(int sqlType)
Set java.sql.Types |
void |
setTableName(java.lang.String tableName)
If (isMapToColumn() == true) Set the table name |
void |
setValue(java.lang.Object value)
Sets the current value of the paremeter as the appropriate java object if and only if (this.multiValue() == false). |
void |
setValues(java.util.Vector values)
If (this.multiValue() == true), Sets the current values of the parameter as a Vector of the appropriate java objects, else returns null. |
void |
setValueVariable(quadbase.common.formula.Formula f)
Set value of a date parameter to a date expression (ex. |
| Field Detail |
|---|
static final java.lang.String ROOT_REPORT
| Method Detail |
|---|
java.lang.String name()
java.lang.String parent()
java.lang.String getPromptName()
void setPromptName(java.lang.String promptName)
boolean isFormulaParam()
boolean isCustomDateFormat()
java.lang.String getDateFormat()
isCustomDateFormat()boolean isMapToColumn()
void setMapToColumn(boolean mapToColumn)
isMapToColumn()java.lang.String getTableName()
isMapToColumn()void setTableName(java.lang.String tableName)
isMapToColumn()java.lang.String getColumnName()
isMapToColumn()void setColumnName(java.lang.String columnName)
isMapToColumn()int getSqlType()
void setSqlType(int sqlType)
boolean multiValue()
java.lang.Object getValue()
java.util.Vector getValues()
void setValue(java.lang.Object value)
void setValues(java.util.Vector values)
java.lang.Object getDefaultValue()
void setDefaultValue(java.lang.Object defaultValue)
quadbase.common.formula.Formula getDefaultValueVariable()
void setDefaultValueVariable(quadbase.common.formula.Formula f)
Formula - date expressionquadbase.common.formula.Formula getValueVariable()
void setValueVariable(quadbase.common.formula.Formula f)
Formula - date expressionjava.util.Vector getSelectionChoices()
java.lang.String getSqlSelect()
void setSqlSelect(java.lang.String s)
quadbase.common.util.IQueryFileInfo getQueryFileInfo()
void setQueryFileInfo(quadbase.common.util.IQueryFileInfo qf)
quadbase.reportdesigner.report.Report getReport()
void setReport(quadbase.reportdesigner.report.Report r)
|
EspressReport 6.3 | ||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||